Main Page Class Hierarchy Data Structures File List Data Fields Globals

# PVEngineCommand Class Reference

`#include <pv_engine_types.h>`

## Public Methods
| PVEngineCommand (int32 aCmdType, PVCommandId aCmdId, OsclAny *aContextData=NULL, OsclAny *aParam1=NULL, OsclAny *aParam2=NULL, OsclAny *aParam3=NULL)
| PVEngineCommand (const PVEngineCommand &aCmd)
int32 | GetCmdType () const
PVCommandId | GetCmdId () const
OsclAny * | GetContext () const
OsclAny * | GetParam1 () const
OsclAny * | GetParam2 () const
OsclAny * | GetParam3 () const
const PvmfMimeString & | GetMimeType () const
PVUuid | GetUuid () const
void | SetMimeType (const PvmfMimeString &aMimeType)
void | SetUuid (const PVUuid &aUuid)
## Data Fields
int32 | iCmdType
PVCommandId | iCmdId
OsclAny * | iContextData
OsclAny * | iParam1
OsclAny * | iParam2
OsclAny * | iParam3
OSCL_HeapString< OsclMemAllocator > | iMimeType
PVUuid | iUuid

## Detailed Description

PVEngineCommand Class

PVEngineCommand class is a data class to hold issued commands. The class is meant to be used inside the engine and not exposed to the interface layer or above.

## Constructor & Destructor Documentation

PVEngineCommand::PVEngineCommand | ( | int32 | aCmdType,
|  | PVCommandId | aCmdId,
|  | OsclAny * | aContextData = NULL,
|  | OsclAny * | aParam1 = NULL,
|  | OsclAny * | aParam2 = NULL,
|  | OsclAny * | aParam3 = NULL
| ) | `[inline]`

  | The constructor for PVEngineCommand which allows the data values to be set. Parameters:
  aCmdType | The command type value for this command. The value is an engine-specific 32-bit value.
  aCmdId | The command ID assigned by the engine for this command.
  aContextData | The pointer to the passed-in context data for this command.
Returns: None

PVEngineCommand::PVEngineCommand | ( | const PVEngineCommand & | aCmd | ) | `[inline]`

  | The copy constructor for PVEngineCommand. Used mainly for Oscl_Vector. Parameters:
  aCmd | The reference to the source PVEngineCommand to copy the data values from.
Returns: None

## Member Function Documentation

PVCommandId PVEngineCommand::GetCmdId | ( |  | ) | const`[inline]`

| This function returns the stored command ID value. Returns: The PVCommandId value for this command.

int32 PVEngineCommand::GetCmdType | ( |  | ) | const`[inline]`

| This function returns the stored command type value. Returns: The signed 32-bit command type value for this command.

OsclAny* PVEngineCommand::GetContext | ( |  | ) | const`[inline]`

| This function returns the stored context data pointer. Returns: The pointer to the context data for this command

const PvmfMimeString& PVEngineCommand::GetMimeType | ( |  | ) | const`[inline]`

| This function returns Mime type parameter for this command Returns: The Mime type parameter for this command

OsclAny* PVEngineCommand::GetParam1 | ( |  | ) | const`[inline]`

| This function returns the first stored parameter pointer. Returns: The pointer to the first stored parameter for this command

OsclAny* PVEngineCommand::GetParam2 | ( |  | ) | const`[inline]`

| This function returns the second stored parameter pointer. Returns: The pointer to the second stored parameter for this command

OsclAny* PVEngineCommand::GetParam3 | ( |  | ) | const`[inline]`

| This function returns the third stored parameter pointer. Returns: The pointer to the third stored parameter for this command

PVUuid PVEngineCommand::GetUuid | ( |  | ) | const`[inline]`

| This function returns Uuid parameter for this command Returns: The Uuid parameter for this command

void PVEngineCommand::SetMimeType | ( | const PvmfMimeString & | aMimeType | ) | `[inline]`

| This function stores Mime type parameter of this command

void PVEngineCommand::SetUuid | ( | const PVUuid & | aUuid | ) | `[inline]`

| This function stores the Uuid parameter of this command

## Field Documentation

PVCommandId PVEngineCommand::iCmdId

int32 PVEngineCommand::iCmdType

OsclAny* PVEngineCommand::iContextData

OSCL_HeapString<OsclMemAllocator> PVEngineCommand::iMimeType

OsclAny* PVEngineCommand::iParam1

OsclAny* PVEngineCommand::iParam2

OsclAny* PVEngineCommand::iParam3

PVUuid PVEngineCommand::iUuid

The documentation for this class was generated from the following file:

- pv_engine_types.h